## Class TActiveHiddenField

Description

Implements interfaces:

- ICallbackEventHandler
- IActiveControl

TActiveHiddenField class

TActiveHiddenField displays a hidden input field on a Web page. The value of the input field can be accessed via Value property.

- version: $Id: THiddenField.php 1850 2007-04-09 03:32:50Z xue $
- since: 3.1
- author: Carl G. Mathisen <carlgmathisen@gmail.com>

Located in /Web/UI/ActiveControls/TActiveHiddenField.php (line 23)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --THiddenField
                |
                --TActiveHiddenField

Method Summary
TActiveHiddenField __construct ()
void addAttributesToRender (mixed $writer)
TBaseActiveCallbackControl getActiveControl ()
string getClientClassName ()
TCallbackClientSide getClientSide ()
void onCallback (TCallbackEventParameter $param)
void raiseCallbackEvent (TCallbackEventParameter $param)
void renderClientControlScript (mixed $writer)
void setValue (string $value)
Methods
Constructor __construct (line 30)

Creates a new callback control, sets the adapter to TActiveControlAdapter. If you override this class, be sure to set the adapter appropriately by, for example, by calling this constructor.

- access: public

TActiveHiddenField __construct ()

Redefinition of:

TControl::__construct()
  Constructor.

addAttributesToRender (line 108)

Ensure that the ID attribute is rendered and registers the javascript code for initializing the active control.

- access: protected

void addAttributesToRender (mixed $writer)
getActiveControl (line 39)

- return: standard callback control options.
- access: public

TBaseActiveCallbackControl getActiveControl ()
getClientClassName (line 91)

Gets the name of the javascript class responsible for performing postback for this control.

This method overrides the parent implementation.

- return: the javascript class name
- access: protected

string getClientClassName ()
getClientSide (line 47)

- return: client side request options.
- access: public

TCallbackClientSide getClientSide ()
onCallback (line 81)

This method is invoked when a callback is requested. The method raises 'OnCallback' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.

- access: public

void onCallback (TCallbackEventParameter $param)

- TCallbackEventParameter $param: event parameter to be passed to the event handlers

raiseCallbackEvent (line 69)

Raises the callback event. This method is required by ICallbackEventHandler interface.

This method is mainly used by framework and control developers.

- access: public

void raiseCallbackEvent (TCallbackEventParameter $param)

- TCallbackEventParameter $param: the event parameter

renderClientControlScript (line 100)

Override parent implementation, no javascript is rendered here instead the javascript required for active control is registered in addAttributesToRender.

- access: protected

void renderClientControlScript (mixed $writer)
setValue (line 56)

Client-side Value property can only be updated after the OnLoad stage.

- access: public

void setValue (string $value)

- string $value: text content for the hidden field

Redefinition of:

THiddenField::setValue()
  Sets the value of the THiddenField

#### Inherited Methods

Inherited From THiddenField

> THiddenField::focus()
> THiddenField::getData()
> THiddenField::getDataChanged()
> THiddenField::getEnableTheming()
> THiddenField::getTagName()
> THiddenField::getValidationPropertyValue()
> THiddenField::getValue()
> THiddenField::loadPostData()
> THiddenField::onValueChanged()
> THiddenField::raisePostDataChangedEvent()
> THiddenField::render()
> THiddenField::setData()
> THiddenField::setEnableTheming()
> THiddenField::setSkinID()
> THiddenField::setValue()

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:29:29 -0400 by phpDocumentor 1.3.0RC4